path: /build/build/flashrom-sys-apps-1.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="atahpt atapromise atavia ch341a-spi dediprog developerbox-spi digilent-spi drkaiser ft2232-spi gfxnvidia internal internal-dmi it8212 jlink-spi nic3com nicintel nicintel-eeprom nicintel-spi nicnatsemi nicrealtek ogp-spi pickit2-spi rayer-spi satamv satasii stlinkv3-spi usbblaster-spi" emerge sys-apps/flashrom -pv -t && \
    USE="atahpt atapromise atavia ch341a-spi dediprog developerbox-spi digilent-spi drkaiser ft2232-spi gfxnvidia internal internal-dmi it8212 jlink-spi nic3com nicintel nicintel-eeprom nicintel-spi nicnatsemi nicrealtek ogp-spi pickit2-spi rayer-spi satamv satasii stlinkv3-spi usbblaster-spi" emerge -j ${JOBS} --nodeps sys-apps/flashrom
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/flashrom && luet-portage --dir /pkgdir/flashrom
    sys-apps/flashrom && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:61fbdb709c533cff90e2cc016560995f2f4e6e800f478d4dfff58448604a4cb2
  package:
    name: flashrom
    version: "1.2"
    category: sys-apps
    use_flags:
    - atahpt
    - atapromise
    - atavia
    - ch341a-spi
    - dediprog
    - developerbox-spi
    - digilent-spi
    - drkaiser
    - ft2232-spi
    - gfxnvidia
    - internal
    - internal-dmi
    - it8212
    - jlink-spi
    - nic3com
    - nicintel
    - nicintel-eeprom
    - nicintel-spi
    - nicnatsemi
    - nicrealtek
    - ogp-spi
    - pickit2-spi
    - rayer-spi
    - satamv
    - satasii
    - stlinkv3-spi
    - usbblaster-spi
    requires:
    - name: libjaylink
      version: '>=0'
      category: dev-embedded
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Utility for reading, writing, erasing and verifying flash ROM chips
    uri:
    - https://flashrom.org/Flashrom
    license: GPL-2
    buildtimestamp: 2023-11-28 19:53:01.592374656 +0000 UTC m=+175.636429547
    labels:
      BDEPEND: '>=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2'
      DEPEND: atahpt? ( sys-apps/pciutils ) atapromise? ( sys-apps/pciutils ) atavia?
        ( sys-apps/pciutils ) ch341a-spi? ( virtual/libusb:1 ) dediprog? ( virtual/libusb:1
        ) developerbox-spi? ( virtual/libusb:1 ) digilent-spi? ( virtual/libusb:1
        ) drkaiser? ( sys-apps/pciutils ) ft2232-spi? ( dev-embedded/libftdi:1= )
        gfxnvidia? ( sys-apps/pciutils ) internal? ( sys-apps/pciutils ) it8212? (
        sys-apps/pciutils ) jlink-spi? ( dev-embedded/libjaylink ) nic3com? ( sys-apps/pciutils
        ) nicintel-eeprom? ( sys-apps/pciutils ) nicintel-spi? ( sys-apps/pciutils
        ) nicintel? ( sys-apps/pciutils ) nicnatsemi? ( sys-apps/pciutils ) nicrealtek?
        ( sys-apps/pciutils ) ogp-spi? ( sys-apps/pciutils ) pickit2-spi? ( virtual/libusb:0
        ) rayer-spi? ( sys-apps/pciutils ) satamv? ( sys-apps/pciutils ) satasii?
        ( sys-apps/pciutils ) stlinkv3-spi? ( virtual/libusb:1 ) usbblaster-spi? (
        dev-embedded/libftdi:1= ) sys-apps/diffutils
      IUSE: atahpt atapromise +atavia +buspirate-spi +ch341a-spi +dediprog +developerbox-spi
        +digilent-spi +drkaiser +dummy +ft2232-spi +gfxnvidia +internal +it8212 jlink-spi
        +linux-mtd +linux-spi mstarddc-spi +nic3com +nicintel +nicintel-eeprom +nicintel-spi
        nicnatsemi +nicrealtek +ogp-spi +pickit2-spi +pony-spi +rayer-spi +satamv
        +satasii +serprog +stlinkv3-spi +usbblaster-spi +internal-dmi tools
      RDEPEND: atahpt? ( sys-apps/pciutils ) atapromise? ( sys-apps/pciutils ) atavia?
        ( sys-apps/pciutils ) ch341a-spi? ( virtual/libusb:1 ) dediprog? ( virtual/libusb:1
        ) developerbox-spi? ( virtual/libusb:1 ) digilent-spi? ( virtual/libusb:1
        ) drkaiser? ( sys-apps/pciutils ) ft2232-spi? ( dev-embedded/libftdi:1= )
        gfxnvidia? ( sys-apps/pciutils ) internal? ( sys-apps/pciutils ) it8212? (
        sys-apps/pciutils ) jlink-spi? ( dev-embedded/libjaylink ) nic3com? ( sys-apps/pciutils
        ) nicintel-eeprom? ( sys-apps/pciutils ) nicintel-spi? ( sys-apps/pciutils
        ) nicintel? ( sys-apps/pciutils ) nicnatsemi? ( sys-apps/pciutils ) nicrealtek?
        ( sys-apps/pciutils ) ogp-spi? ( sys-apps/pciutils ) pickit2-spi? ( virtual/libusb:0
        ) rayer-spi? ( sys-apps/pciutils ) satamv? ( sys-apps/pciutils ) satasii?
        ( sys-apps/pciutils ) stlinkv3-spi? ( virtual/libusb:1 ) usbblaster-spi? (
        dev-embedded/libftdi:1= ) !internal-dmi? ( sys-apps/dmidecode )
      emerge.packages: sys-apps/flashrom
      kit: core-hw-kit
      original.package.name: sys-apps/flashrom
      original.package.slot: "0"
      original.package.version: 1.2-r4
    treedir: /build/packages
  package_dir: /pkgdir/flashrom
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: e240723f190ebdb9410f42a521760ed47f5784745af783b312bdba9ec9020f67
compressiontype: zstd
files:
- usr/include/libflashrom.h
- usr/lib64/libflashrom.so
- usr/lib64/libflashrom.so.1
- usr/lib64/libflashrom.so.1.0.0
- usr/lib64/pkgconfig/flashrom.pc
- usr/sbin/flashrom
- usr/share/doc/flashrom-1.2-r4/Documentation/mysteries_intel.txt.bz2
- usr/share/doc/flashrom-1.2-r4/Documentation/serprog-protocol.txt.bz2
- usr/share/doc/flashrom-1.2-r4/README.bz2
- usr/share/man/man8/flashrom.8.bz2
- var/db/pkg/sys-apps/flashrom-1.2-r4/BDEPEND
- var/db/pkg/sys-apps/flashrom-1.2-r4/BUILD_TIME
- var/db/pkg/sys-apps/flashrom-1.2-r4/CATEGORY
- var/db/pkg/sys-apps/flashrom-1.2-r4/CBUILD
- var/db/pkg/sys-apps/flashrom-1.2-r4/CFLAGS
- var/db/pkg/sys-apps/flashrom-1.2-r4/CHOST
- var/db/pkg/sys-apps/flashrom-1.2-r4/CONTENTS
- var/db/pkg/sys-apps/flashrom-1.2-r4/COUNTER
- var/db/pkg/sys-apps/flashrom-1.2-r4/CXXFLAGS
- var/db/pkg/sys-apps/flashrom-1.2-r4/DEFINED_PHASES
- var/db/pkg/sys-apps/flashrom-1.2-r4/DEPEND
- var/db/pkg/sys-apps/flashrom-1.2-r4/DESCRIPTION
- var/db/pkg/sys-apps/flashrom-1.2-r4/EAPI
- var/db/pkg/sys-apps/flashrom-1.2-r4/FEATURES
- var/db/pkg/sys-apps/flashrom-1.2-r4/HOMEPAGE
- var/db/pkg/sys-apps/flashrom-1.2-r4/INHERITED
- var/db/pkg/sys-apps/flashrom-1.2-r4/IUSE
- var/db/pkg/sys-apps/flashrom-1.2-r4/IUSE_EFFECTIVE
- var/db/pkg/sys-apps/flashrom-1.2-r4/KEYWORDS
- var/db/pkg/sys-apps/flashrom-1.2-r4/LDFLAGS
- var/db/pkg/sys-apps/flashrom-1.2-r4/LICENSE
- var/db/pkg/sys-apps/flashrom-1.2-r4/NEEDED
- var/db/pkg/sys-apps/flashrom-1.2-r4/PF
- var/db/pkg/sys-apps/flashrom-1.2-r4/PROVIDES
- var/db/pkg/sys-apps/flashrom-1.2-r4/RDEPEND
- var/db/pkg/sys-apps/flashrom-1.2-r4/REQUIRES
- var/db/pkg/sys-apps/flashrom-1.2-r4/SIZE
- var/db/pkg/sys-apps/flashrom-1.2-r4/SLOT
- var/db/pkg/sys-apps/flashrom-1.2-r4/USE
- var/db/pkg/sys-apps/flashrom-1.2-r4/environment.bz2
- var/db/pkg/sys-apps/flashrom-1.2-r4/flashrom-1.2-r4.ebuild
- var/db/pkg/sys-apps/flashrom-1.2-r4/repository
package_cacheimage: ""
runtime:
  name: flashrom
  version: "1.2"
  category: sys-apps
  use_flags:
  - atahpt
  - atapromise
  - atavia
  - ch341a-spi
  - dediprog
  - developerbox-spi
  - digilent-spi
  - drkaiser
  - ft2232-spi
  - gfxnvidia
  - internal
  - internal-dmi
  - it8212
  - jlink-spi
  - nic3com
  - nicintel
  - nicintel-eeprom
  - nicintel-spi
  - nicnatsemi
  - nicrealtek
  - ogp-spi
  - pickit2-spi
  - rayer-spi
  - satamv
  - satasii
  - stlinkv3-spi
  - usbblaster-spi
  requires:
  - name: libftdi
    version: '>=0'
    category: dev-embedded-1
  - name: libjaylink
    version: '>=0'
    category: dev-embedded
  - name: pciutils
    version: '>=0'
    category: sys-apps
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Utility for reading, writing, erasing and verifying flash ROM chips
  uri:
  - https://flashrom.org/Flashrom
  license: GPL-2
  labels:
    BDEPEND: '>=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2'
    DEPEND: atahpt? ( sys-apps/pciutils ) atapromise? ( sys-apps/pciutils ) atavia?
      ( sys-apps/pciutils ) ch341a-spi? ( virtual/libusb:1 ) dediprog? ( virtual/libusb:1
      ) developerbox-spi? ( virtual/libusb:1 ) digilent-spi? ( virtual/libusb:1 )
      drkaiser? ( sys-apps/pciutils ) ft2232-spi? ( dev-embedded/libftdi:1= ) gfxnvidia?
      ( sys-apps/pciutils ) internal? ( sys-apps/pciutils ) it8212? ( sys-apps/pciutils
      ) jlink-spi? ( dev-embedded/libjaylink ) nic3com? ( sys-apps/pciutils ) nicintel-eeprom?
      ( sys-apps/pciutils ) nicintel-spi? ( sys-apps/pciutils ) nicintel? ( sys-apps/pciutils
      ) nicnatsemi? ( sys-apps/pciutils ) nicrealtek? ( sys-apps/pciutils ) ogp-spi?
      ( sys-apps/pciutils ) pickit2-spi? ( virtual/libusb:0 ) rayer-spi? ( sys-apps/pciutils
      ) satamv? ( sys-apps/pciutils ) satasii? ( sys-apps/pciutils ) stlinkv3-spi?
      ( virtual/libusb:1 ) usbblaster-spi? ( dev-embedded/libftdi:1= ) sys-apps/diffutils
    IUSE: atahpt atapromise +atavia +buspirate-spi +ch341a-spi +dediprog +developerbox-spi
      +digilent-spi +drkaiser +dummy +ft2232-spi +gfxnvidia +internal +it8212 jlink-spi
      +linux-mtd +linux-spi mstarddc-spi +nic3com +nicintel +nicintel-eeprom +nicintel-spi
      nicnatsemi +nicrealtek +ogp-spi +pickit2-spi +pony-spi +rayer-spi +satamv +satasii
      +serprog +stlinkv3-spi +usbblaster-spi +internal-dmi tools
    RDEPEND: atahpt? ( sys-apps/pciutils ) atapromise? ( sys-apps/pciutils ) atavia?
      ( sys-apps/pciutils ) ch341a-spi? ( virtual/libusb:1 ) dediprog? ( virtual/libusb:1
      ) developerbox-spi? ( virtual/libusb:1 ) digilent-spi? ( virtual/libusb:1 )
      drkaiser? ( sys-apps/pciutils ) ft2232-spi? ( dev-embedded/libftdi:1= ) gfxnvidia?
      ( sys-apps/pciutils ) internal? ( sys-apps/pciutils ) it8212? ( sys-apps/pciutils
      ) jlink-spi? ( dev-embedded/libjaylink ) nic3com? ( sys-apps/pciutils ) nicintel-eeprom?
      ( sys-apps/pciutils ) nicintel-spi? ( sys-apps/pciutils ) nicintel? ( sys-apps/pciutils
      ) nicnatsemi? ( sys-apps/pciutils ) nicrealtek? ( sys-apps/pciutils ) ogp-spi?
      ( sys-apps/pciutils ) pickit2-spi? ( virtual/libusb:0 ) rayer-spi? ( sys-apps/pciutils
      ) satamv? ( sys-apps/pciutils ) satasii? ( sys-apps/pciutils ) stlinkv3-spi?
      ( virtual/libusb:1 ) usbblaster-spi? ( dev-embedded/libftdi:1= ) !internal-dmi?
      ( sys-apps/dmidecode )
    emerge.packages: sys-apps/flashrom
    kit: core-hw-kit
    original.package.name: sys-apps/flashrom
    original.package.slot: "0"
    original.package.version: 1.2-r4
